<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';

echo $style;
echo '';

switch ($_GET[a])
	{
	case 'begin_war':
	$id_user=abs(intval($_GET[id]));
	$test_neib=0;
	$east=mysql_query("SELECT * FROM users WHERE defeat = '0' AND `time_reg`<'$user[time_reg]' AND bun_end<'$time' AND `id`!='$id' ORDER BY time_reg DESC LIMIT 5");
				$west=mysql_query("SELECT * FROM users WHERE defeat='0' AND time_reg>='$user[time_reg]' AND bun_end<'$time' AND `id`!='$id' ORDER BY time_reg ASC LIMIT 5");
	while($e=mysql_fetch_array($east))
	{
		if($e['id'] == $id_user)
		{
			$test_neib=1;
		}
	}
	while($w=mysql_fetch_array($west))
	{
		if($w['id'] == $id_user)
		{
			$test_neib=1;
		}
	}

	if($test_neib == '0')
	{
		echo 'Cтрана не является вашим соседом!</div>
		<a class="razd" href="game.php">'.$iback.'В игру</a>
		<a class="razd" href="exit.php">'.$iexit.' Выход</a>
		';
		exit();

	}
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".intval(abs($id_user))."'"));
	$error = '';
	if ($p[marat_end] > time()) $error .= 'На страну '.$p['country'].' действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'</div><div class="money">';
	if ($user[marat_end] > time()) $error .= 'У вас действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'<br/>';
	$your_wars = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id_attacker`='$id'"),0);
	if ($your_wars >= '3') $error .= 'Вы не можете вести более 3х войн<br />';
	$isset_war_just = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id_attacker`='$id' AND `id_cover`='$id_user';"),0);
	if ($isset_war_just == '1') $error .= 'Вы уже воюете с этим гос-вом<br />';
	$isset_general = mysql_result(mysql_query("SELECT count(*) FROM `general` WHERE `id_user`='$id'"),0);
	if ($isset_general == '0') $error .= 'Вы не можете вести войну без генерала<br />';
	if ($user['solders']=='0' AND $user['horses']=='0' AND $user['archers']=='0') $error .= 'Вы не можете вести войну без свободных войск<br />';


	if (empty($error))
		{
		// если есть стена, то:
		$stena_isset = mysql_result(mysql_query("SELECT count(*) FROM `ubuildings` WHERE `sname`='Wall' AND `owner_id`='$id_user'"),0);
		$stena_hp = mysql_fetch_array(mysql_query("SELECT * FROM `ubuildings` WHERE `sname`='Wall' AND `owner_id`='$id_user'"));

			if (isset($_POST['solders']) AND isset($_POST['horses']) AND isset($_POST['archers']))
				{
				$error = '';
				$solders = abs(intval($_POST['solders']));
				$horses = abs(intval($_POST['horses']));
				$archers = abs(intval($_POST['archers']));
				$guns = abs(intval($_POST[guns]));
				if (intval($solders+$horses+$archers)=='0') $error .= 'Нельзя отправить такое количество войнов</div>';
				if ($solders > $user[solders]) $error .= 'У вас нет столько пехотинцев<br />';
				if ($guns > $user[guns]) $error .= 'У вас нет столько стенобитных орудий<br />';
				if ($horses > $user[horses]) $error .= 'У вас нет столько кавалерии<br />';
				if ($archers > $user[archers]) $error .= 'У вас нет столько стрелков<br />';
				if (empty($error))
					{
					// делаем проверку на наличие стены, если она есть, то рушим
					if ($stena_isset > '0' AND $stena_hp[hp]>'40')
						{



		if ($stena_hp[lvl] < '11') $stena_name_xx = "Деревянная стена";








							//параметры таранов
$t_amount=$guns; //кол-во таранов
$t_type=1;  //тип снарядов
if($type1['guns_type'] == "Огненные снаряды")
{
	$_type=0;
}
$t_lvl=$user['guns_lvl']; //уровень таранов

//Параметры стены
$wall_hp=$stena_hp['hp']; //здоровье стены
$wall_type=1; //тип стены
if($stena_name_xx == "Деревянная стена")
{
	$wall_type=0;
}
$wall_lvl=$stena_hp[lvl]; //уровень стены
//если не совпадают типы то урон лиш 20%
$k_types=1;
if($wall_type != $t_type)
{
	$k_types=0.2;
}
//коэфициент урона относительно параметров
$dmg_parameters=$t_lvl-$wall_lvl;

//считаем урон от каждого тарана
$dmg=0;
$test_wall=$wall_hp;
$t_lost=0;
for($i=0;$i<$t_amount;$i++)
{
	$rand=rand(5,15); //случайный урон от 5-15 одного тарана
	$t_dmg=ceil(($rand+$dmg_parameters)*$k_types); //в иоге урон при параметрах
	if($t_dmg < 0) //если уровень стены высокий($dmg_parameters-будет меньше нуля) и тараны не пробивают стену
	{
		$t_dmg=0;
	}
	$dmg+=$t_dmg; //всего на сколько % таран пробил стену
	//сразу проверяем сколько лишних таранов бьют(пока стена жива - нужны тараны, нет - тараны будут записыватся в выжившие
	if($test_wall > 0)
	{
		$test_wall-=$t_dmg;
	}
	else
	{
		$t_lost+=1;
	}
}

$new_hp=$wall_hp-$dmg; //сколько осталось
if($new_hp < 0)     //проверка на меньше нуля
{
	$new_hp=0;


}

//смотрим что изменилось
$door=0; //не разрешаем входить так как нету дырки
if($new_hp <= 40)
{
	$door=1; //произошла дыра
}

if($dmg > 0)
{
	//$percent=$dmg/$wall_hp; //смотрим сколько процентов нанесено стене
	//$wall_lvl=ceil($wall_lvl*$percent);	//понижаем уровень стены на процент
}
if ($door == '0')
	{
		mysql_query("UPDATE `ubuildings` SET `hp`='$new_hp' WHERE `owner_id`='$id_user'  AND `sname`='wall'");
	if ($door == '1') echo 'Вы пробили дыру в стене<br />';
else echo 'Вы не смогли пробить дыру в стене<br />';
echo 'Теперь целостность стены '.$new_hp.'%<br />';
echo 'Уровень стены понизился до '.$wall_lvl.'<br />';
if ($t_lost == '0')echo 'У вас не осталось ни одной стенобитки';
else echo 'У вас осталось '.$t_lost.' таранов';
	echo '</div><div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center>
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';
mysql_query("UPDATE `users` SET `guns`=guns-'$guns' WHERE `id`='$id'");
	exit();
	}


echo 'Вы пробили дыру в стене<br />';
echo 'У вас осталось '.$t_lost.' таранов</div>';



//АЧИВКА С ТАРАНАМИ
$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='1' AND `user`='$id'"),0);
if ($isset_ach == '0')
	{
	mysql_query("INSERT INTO `achieve` SET `num`='1',`count`='1',`user`='$id';");
	}















							   mysql_query("INSERT INTO `wars` SET `id_attacker`='$id',
																   `id_cover`='$id_user',
																   `solders`='$solders',
																   `horses`='$horses',
																   `archers`='$archers',
																   `time_in`='".time()."',
																   `time_strike`='".time()."',
																   `time_bstrike`='".time()."';");
								$id_war_set = mysql_insert_id();
								mysql_query("UPDATE `users` SET `solders`='".intval($user['solders']-$solders)."',
																`horses`='".intval($user['horses']-$horses)."',
																`archers`='".intval($user['archers']-$archers)."',
																`guns`='$t_lost' WHERE `id`='$id'");

								mysql_query("INSERT INTO `fight_log` SET `war`='$id_war_set', `attacker`='$id',`protector`='$id_user',
								`text`='$user[country] с войском вступил на территорию государства $p[country]. ($img_s $solders пехотинцев, $img_h $horses кавалерии, $img_a $archers стрелков)';");

								mysql_query("UPDATE `ubuildings` SET `hp`='$new_hp' WHERE `owner_id`='$id_user' AND `sname`='wall'");


						} else {
								//если нет стены или разрушили то
							   if ($stena_isset > '0' AND $stena_hp[hp]<='40')
							   {
							   $text='Войска гос-ва '.$user[country].' беспрепятсвенно вошли на вашу территорию';
								send_mess($p['login'],$text,"Система",'');
							   	echo 'Ваши войны пробили дыру в стене и вошли на территорию противника<br />';
							   	}
							   if ($stena_isset == '0')
							   {
							   $text='Войска гос-ва '.$user[country].' разрушили вашу стену и беспрепятсвенно вошли на территорию вашего гос-ва';
								send_mess($p['login'],$text,"Система",'');
							   	echo 'Ваши войны без припятствия вошли на территорию противника</div>';
                                }



							   mysql_query("INSERT INTO `wars` SET `id_attacker`='$id',
																   `id_cover`='$id_user',
																   `solders`='$solders',
																   `horses`='$horses',
																   `archers`='$archers',
																   `time_in`='".time()."',
																   `time_strike`='".time()."',
																   `time_bstrike`='".time()."';");
								$id_war_set = mysql_insert_id();
								mysql_query("UPDATE `users` SET `solders`='".intval($user['solders']-$solders)."',
																`horses`='".intval($user['horses']-$horses)."',
																`archers`='".intval($user['archers']-$archers)."' WHERE `id`='$id'");

								mysql_query("INSERT INTO `fight_log` SET `war`='$id_war_set', `attacker`='$id',`protector`='$id_user',
								`text`='$user[country] с войском вступил на территорию государства $p[country]. ($img_s $solders пехотинцев, $img_h $horses кавалерии, $img_a $archers стрелков)';");

							   }

					} else echo '<b>Ошибка!</b><br />'.$error.'</div><a class="razd" href="'.$self.'">Повторить ввод</a>';

				} else {
			echo '
			<form method=POST action="">
			Сколько войнов отправляем в поход? <br />
			Пехотинцев: ('.$user[solders].') <br />
			<input type="text" name="solders" maxlenght="10" value="0"><br />
			Кавалерии: ('.$user[horses].') <br />
			<input type="text" name="horses" maxlenght="10" value="0"><br />
			Стрелков: ('.$user[archers].')<br />
			<input type="text" name="archers" maxlenght="10" value="0"><br />';

			if ($stena_isset == '1')
				{
				echo 'У противника стена '.$stena_hp['lvl'].' уровня ('.$stena_hp['hp'].'%)<br />';
				echo 'Стенобитки: ('.$user[guns].')<br />
				<input type="text" name="guns" maxlenght="10" value="0"><br />';
				}
			echo '<input type="submit" value="Отправить">';
			if ($stena_isset == '1') echo 'Подсказка: Стены меньше 10 уровня - деревянные. Для них используйте огненные заряды. Те что выше - каменные. Тогда используйте каменные заряды соответственно.';

			echo '</div>
			</form>
			';
						}

		} else echo $error.'</div>';
	echo '<a class="razd" href="./about.php?uid='.$p[id].'">Назад</a>';
	break;

	case 'view':
	$id_war=abs(intval($_GET[id_war]));
	if (isset($_GET[id_war]))
	{
	$war = mysql_fetch_array(mysql_query("SELECT * FROM `wars` WHERE `id`='$id_war'"));
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$war[id_cover]."'"));
	$is_your_war = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id`='$id_war'  AND `id_attacker`='$id'"),0);
	if ($is_your_war > '0')
		{

		if (intval($_GET[back])=='1')
			{
			if (isset($_POST['solders']) AND isset($_POST['horses']) AND isset($_POST['archers']) AND (isset($_POST['1']) OR isset($_POST['2'])))
				{
			if (isset($_POST['1']))
			{
			$error = '';
			$solders = abs(intval($_POST['solders']));
			$horses = abs(intval($_POST['horses']));
			$archers = abs(intval($_POST['archers']));
			if ($solders=='0' AND $horses=='0' AND $archers=='0') $error .= 'Нельзя отозвать такое количество войнов<br />';
			if ($solders > $war[solders]) $error .= 'У вас нет столько пехотинцев<br />';
			if ($horses > $war[horses]) $error .= 'У вас нет столько кавалерии<br />';
			if ($archers > $war[archers]) $error .= 'У вас нет столько стрелков<br />';
			if (empty($error))
				{
				if ($solders == $war[solders] AND $horses == $war[horses] AND $archers == $war[archers])
					{
					mysql_query("DELETE FROM `wars` WHERE `id`='$id_war'");
					echo 'Вы успешно увели все свои войска';
					mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$war[id_cover]',
					`text`='Государство $user[country] увело все свои войска с территория противника $p[country]'");
					mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]+$solders)."',
															`horses`='".intval($user[horses]+$horses)."',
															`archers`='".intval($user[archers]+$archers)."' WHERE `id`='$id'");
					} else {
							mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$war[id_cover]',
						`text`='Государство $user[country] увело часть своих войска с территория противника $p[country].<br />
						Отступило: $img_s пехотинцев: $solders, $img_h кавалерии: $horses, $img_a стрелков: $archers'");

						   mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]+$solders)."',
															`horses`='".intval($user[horses]+$horses)."',
															`archers`='".intval($user[archers]+$archers)."' WHERE `id`='$id'");
						   mysql_query("UPDATE `wars` SET `solders`='".intval($war[solders]-$solders)."',
															`horses`='".intval($war[horses]-$horses)."',
															`archers`='".intval($war[archers]-$archers)."' WHERE `id`='$id_war'");
							echo 'Вы увели часть своих войск с территории противника</div><a class="razd" href="?a=view&amp;id_war='.$id_war.'">Вернуться</a>';
						   }
				} else echo '<b>Ошибка!</b><br />'.$error.'<a class="razd" href="'.$self.'">Повторить ввод</a><br />';
			}
			if (isset($_POST['2']))
			{
			$error2 = '';
			$solders = abs(intval($_POST['solders']));
			$horses = abs(intval($_POST['horses']));
			$archers = abs(intval($_POST['archers']));
			if ($solders=='0' AND $horses=='0' AND $archers=='0') $error2 .= 'Нельзя призвать такое количество войнов<br />';
			if ($user[solders] < $solders) $error2 .= 'У вас нет столько пехотинцев<br />';
			if ($user[horses] < $horses) $error2 .= 'У вас нет столько кавалерии<br />';
			if ($user[archers] < $archers) $error2 .= 'У вас нет столько стрелков<br />';

			if (empty($error2))
				{
					mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$war[id_cover]',
					`text`='Государство $user[country] прислало подкрепление на территорию противника $p[country]<br />
					Подкрепление: $img_s пехотинцев: $solders, $img_h кавалерии: $horses, $img_a стрелков: $archers'");

						   mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]-$solders)."',
															`horses`='".intval($user[horses]-$horses)."',
															`archers`='".intval($user[archers]-$archers)."' WHERE `id`='$id'");
						   mysql_query("UPDATE `wars` SET `solders`='".intval($war[solders]+$solders)."',
															`horses`='".intval($war[horses]+$horses)."',
															`archers`='".intval($war[archers]+$archers)."' WHERE `id`='$id_war'");
							echo 'Вы привели войска</div><a class="razd" href="?a=view&amp;id_war='.$id_war.'">Вернуться</a>';

				} else echo '<b>Ошибка!</b><br />'.$error.'<a class="razd" href="'.$self.'">Повторить ввод</a><br />';
			}

				} else {
			echo '
			<form method=POST action="">
			Сколько войнов? <br />
			Пехотинцев:  <br />
			<input type="text" name="solders" maxlenght="10" value="0"><br />
			Кавалерии:  <br />
			<input type="text" name="horses" maxlenght="10" value="0"><br />
			Стрелков: <br />
			<input type="text" name="archers" maxlenght="10" value="0"><br />
			<input type="submit" name="1" value="Отозвать"> /
			<input type="submit" name="2" value="Подкрепление">
			</form></div>
			';
						}








			} else {




		$rand_iRansacking = rand(0,4);
		echo '<center><img src="./i/Ransacking'.$rand_iRansacking.'.png" alt=*></center>';
		echo '<center><b>Война с <u>'.$p[country].'</u></div><div class="money"></b></center>';
		if ($war[solders] > '0') echo $img_s.' Пехотинцев: <b>'.$war[solders].'</b><br />';
		if ($war[horses] > '0') echo $img_h.' Кавалерия: <b>'.$war[horses].'</b><br />';
		if ($war[archers] > '0') echo $img_a.' Стрелки: <b>'.$war[archers].'</b><br />';

		$seconds = (abs(time()-$war[time_in]));
		$h=floor($seconds/3600);
		$m=floor(($seconds%3600)/60);
		$s=($seconds%3600)%60;


		echo 'С начала войны прошло ';
		if ($h > 0) echo $h.' часов, ';
		echo $m.' мин, '.$s.' сек';

		$seconds = (abs(time()-$war[time_strike]));
		$h=floor($seconds/3600);
		$m=floor(($seconds%3600)/60);
		$s=($seconds%3600)%60;


		echo '<br />С последней атаки прошло ';

		if ($h > 0) echo $h.' часов, ';
		echo $m.' мин, '.$s.' сек';

        $sql_wars=mysql_query("SELECT * FROM wars WHERE id_cover='$war[id_cover]' AND id_attacker!='$id'");
        if(mysql_num_rows($sql_wars) > 0)
        {
        	echo '<br /><b>Другие вторжения в эту страну:</b><br />';
        while($a_war=mysql_fetch_array($sql_wars))
        {
        	$a_u=mysql_fetch_array(mysql_query("SELECT country FROM users WHERE id='$a_war[id_attacker]'"));
        	echo '<u>'.$a_u[0].'</u> в стране: ';
			time_leave($a_war['time_in']);
			echo '<br />';
        }
        }
		echo '</div><a class="razd" href="?a=intelligence&amp;id_war='.$id_war.'">Разведка</a>';
		echo '<a class="razd" href="'.$self.'&amp;back=1">Отозвать войска/Подкрепление</a>';
		$count_in=floor(($time-$war['time_in'])/3600);//смотрим сколько часов

			echo '<a class="razd" href="?a=capture&id_war='.$id_war.'">Захватит страну</a>';

					}
		} else echo 'Такой войны не сущетвует</div>';
	} else header("Location: game.php");
	break;

	case 'intelligence':
	// Проверяем принадлежность войны
	$id_war=abs(intval($_GET[id_war]));
	if (isset($_GET[id_war]))
	{
	$war = mysql_fetch_array(mysql_query("SELECT * FROM `wars` WHERE `id`='$id_war'"));
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$war[id_cover]."'"));
	$is_your_war = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id`='$id_war' AND `id_attacker`='$id'"),0);
	// Если всё гуд, то смотрим здания
	if ($is_your_war > '0')
		{
		echo 'Постройки: </div>';
		$war_building_count = mysql_result(mysql_query("SELECT * FROM `ubuildings` WHERE `owner_id`='".$p[id]."'"),0);
		if ($war_building_count > '0')
		{
		$war_query = mysql_query("SELECT * FROM `ubuildings` WHERE `owner_id`='".$p[id]."' AND `time_end`<='".time()."'");
		while($war_b = mysql_fetch_assoc($war_query))
			{
			$name_build = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `sname`='".$war_b[sname]."'"));
			// выводим все постройки игрока

			echo '<a class="razd" href="?a=building&amp;id_war='.$id_war.'&amp;b='.$war_b[id].'">'.htmlspecialchars($name_build[name]).'</a>';

			}
			echo '</div><a class="razd" href="?a=view&amp;id_war='.$id_war.'">Вернуться</a>';
			// Если их нет то пишем типо облом нет зданий
		} else echo '<div class="money">У противника нет зданий </div><a class="razd" href="?a=view&amp;id_war='.$id_war.'">Вернуться</a>';

		} else echo 'Такой войны не сущетвует';
	} else header("Location: game.php");
	break;





    case 'capture':
	$id_war=abs(intval($_GET[id_war]));
	if (isset($_GET[id_war]))
	{
	$war = mysql_fetch_array(mysql_query("SELECT * FROM `wars` WHERE `id`='$id_war'"));
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$war[id_cover]."'"));
	$is_your_war = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id`='$id_war'  AND `id_attacker`='$id'"),0);
	//проверяем та ли это война
	if ($is_your_war > '0')
		{

			// $p - твой протиник на войне
			//$war - текущая война
			$count_in=floor(($time-$war['time_in'])/3600);//смотрим сколько часов
			if($count_in >= 12)
			{
            	if($p['defeat'] != 1)
            	{
            		mysql_query("UPDATE map SET die='1' WHERE user_id='$p[id]'");
            		mysql_query("DELETE FROM seen WHERE id_user='$p[id]'");
            		mysql_query("DELETE FROM seen WHERE id_neib='$p[id]'");
            		$m_country=mysql_fetch_array(mysql_query("SELECT * FROM map WHERE country='$user[country]'"));
            		$n_country=mysql_fetch_array(mysql_query("SELECT * FROM map WHERE country='$p[country]'"));
                    $now_step=0;
                    if($m_country['id'] < $n_country['id'])
                    {
                    	//восточная страна
                    	$find=0;
                    	$count=$m_country['id']+1;
                    	do
                    	{
                    		$look_neib=mysql_fetch_array(mysql_query("SELECT * FROM map WHERE id='$count'"));
                    		$check_map=mysql_query("SELECT * FROM seen WHERE id_user='$id' AND id_neib='$look_neib[user_id]'");
                    		if(mysql_num_rows($check_map) == 0)
                    		{
                    			if($look_neib['die'] == 0)
                    			{
                    				add_n($id,$look_neib['user_id']);
                    				$find=1;
                    			}
                    			else
                    			{
                    				$count++;
                    			}
                    		}
                    		else
                    		{
                    		$count++;
                    		}
                    		$now_step++;
                    		if($now_step == 15)
                    		{
                    		break;
                    		}
                    	}
                    	while($find!=1);
                    }
                    else
                    {
                    	//западная страна

                    	$find=0;
                    	$count=$m_country['id']-1;
                    	do
                    	{
                    		$look_neib=mysql_fetch_array(mysql_query("SELECT * FROM map WHERE id='$count'"));
                    		$check_map=mysql_query("SELECT * FROM seen WHERE id_user='$id' AND id_neib='$look_neib[user_id]'");
                    		if(mysql_num_rows($check_map) == 0)
                    		{
                    			if($look_neib['die'] == 0)
                    			{
                    			add_n($id,$look_neib['user_id']);
                    			$find=1;
                    			}
                    			else
                    			{
                    				$count++;
                    			}
                    		}
                    		else
                    		{
                    			$count--;
                    		}
                    		$now_step++;
                    		if($now_step == 15)
                    		{
                    		break;
                    		}
                    	}
                    	while($find!=1);
                    }
            		//упрощаем работу потом и делаем перспективы для работы с переменными
            		$money=abs($p['money']);
            		$lumber=abs($p['lumber']);
            		$stone=abs($p['stone']);
            		$iron=abs($p['iron']);
            		$grain=abs($p['grain']);
            		$wood=abs($p['woods']);
            		$mountains=abs($p['mountains']);
            		$land=abs($p['land']);
            		$total_land=abs($p['total_land']);
            		$workers=abs($p['workers']);
            		$scientists=abs($p['scientists']);
            		//проверка вместительности
            		$total_get_res=$iron+$grain+$stone+$lumber;
					if ($freeplace < $total_get_res)
					{

							$new_freeplace=$freeplace;


							for($a=1;$a<=$lumber;$a++)
							{
                                if($new_freeplace > 0)
                                {
								$lumber_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$stone;$a++)
							{

								if($new_freeplace > 0)
                                {
								$stone_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$iron;$a++)
							{

								if($new_freeplace > 0)
                                {
								$iron_r++;
								$new_freeplace--;
								}

							}

							for($a=1;$a<$grain;$a++)
							{

								if($new_freeplace > 0)
                                {
								$grain_r++;
								$new_freeplace--;
								}

							}
					$lumber=abs($lumber_r);
            		$stone=abs($stone_r);
            		$iron=abs($iron_r);
            		$grain=abs($grain_r);



					}
					//смотрим рабов
    				$count_work=mysql_fetch_row(mysql_query("SELECT sum(workers) FROM `res_get` WHERE id_user='$p[id]'"));
                    $workers += $count_work[0];
                    //смотрим ученых
                    $count_teach=mysql_fetch_row(mysql_query("SELECT sum(sc) FROM `teach` WHERE id_user='$p[id]'"));//сума обучающихся солдат
                    $scientists += $count_teach[0];
                    $count_sc=mysql_fetch_row(mysql_query("SELECT sum(sc) FROM `sc` WHERE id_user='$p[id]'"));//сума обучающихся солдат
                    $scientists += $count_sc[0];
                    mysql_query("UPDATE `users` SET `win`=win+'1' WHERE `id`='$id'");
					if ($user['clan']!='0')
						{
						mysql_query("UPDATE `clan` SET `wins`=wins+'1' WHERE `id`='".$user['clan']."'");
						}
                    //обновляем бд
					$workers_add = intval(0.4*$workers);
					mysql_query("UPDATE users SET
					money=money+'$money',
            		lumber=lumber+'$lumber',
            		stone=stone+'$stone',
            		iron=iron+'$iron',
            		grain=grain+'$grain',
            		woods=woods+'$wood',
            		mountains=mountains+'$mountains',
            		land=land+'$land',
            		total_land=total_land+'$total_land',
            		workers=workers+'$workers_add',
            		scientists=scientists+'$scientists'
					WHERE id='$id'");
					//Выводим войска с вторжений-конкурентов жертвы
					$p_wars=mysql_query("SELECT * FROM wars WHERE id_cover='$p[id]'");
					while($p_w=mysql_fetch_array($p_wars))
					{
						mysql_query("UPDATE users SET
						solders=solders+'$p_w[solders]',
						horses=horses+'$p_w[horses]',
						archers=archers+'$p_w[archers]'
						WHERE id='$p_w[id_attacker]'
						");
						$p_w_login=mysql_fetch_array(mysql_query("SELECT login FROM users WHERE id='$p_w[id_attacker]'"));
						$text='Страна <b>'.$p['country'].'</b> прекратила свое существование. Все ваши войска вернулись.';
    					send_mess($p_w_login[0],$text,'Система','');
    					mysql_query("DELETE FROM wars WHERE id='$p_w[id]'");
					}
					//чистим бд от лишнего
					mysql_query("DELETE FROM wars WHERE id_attacker='$p[id]'");
					mysql_query("DELETE FROM ubuildings WHERE owner_id='$p[id]'");
					mysql_query("DELETE FROM teach WHERE id_user='$p[id]'");
					mysql_query("DELETE FROM sc WHERE id_user='$p[id]'");
					mysql_query("DELETE FROM res_get WHERE id_user='$p[id]'");
					mysql_query("DELETE FROM msg WHERE by_whom_id='$p[id]'");
					//ну и наконец умертвляем жертву
					mysql_query("UPDATE users SET defeat='1' WHERE id='$p[id]'");
					//и говорим "победа!"
					mysql_query("DELETE FROM wars WHERE id='$war[id]'");
					echo 'Ваши войска захватили страну <u>'.$p['country'].'</u>. Все её территории и населении присоединилсь к вашему государству.</div>';
            	mysql_query("INSERT INTO `fight_log` SET `war`='$war[id]',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] <b>захватило</b> страну $p[country]<br />
					Вернулось: $img_s пехотинцев: $p_w[solders], $img_h кавалерии: $p_w[horses], $img_a стрелков: $p_w[archers]'");



				//АЧИВКА С ЗАХВАТАМИ
				$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='3' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='3',`count`='1',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'1' WHERE `num`='3' AND `user`='$id'");
						  }



				}
            	else
            	{
            		echo 'Страна уже захвачена!';
            	}
			}
			else
			{
				echo 'Вы можете захватить страну лишь простояв на территории 12 часов!</div>';
			}




		} else echo 'Такой войны не сущетвует';
	} else header("Location: game.php");
	break;


	case 'building':
	// Проверяем принадлежность войны
	$id_war=abs(intval($_GET[id_war]));
	if (isset($_GET[id_war]))
	{
	$war = mysql_fetch_array(mysql_query("SELECT * FROM `wars` WHERE `id`='$id_war'"));
	$p = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$war[id_cover]."'"));
	$b = abs(intval($_GET[b]));
	$is_your_war = mysql_result(mysql_query("SELECT count(*) FROM `wars` WHERE `id`='$id_war' AND `id_attacker`='$id'"),0);
	$build_owner = mysql_result(mysql_query("SELECT count(*) FROM `ubuildings` WHERE `owner_id`='".$war[id_cover]."' AND `id`='".$b."' AND `time_end`<='".time()."'"),0);
	// Если всё гуд, то смотрим здание, что открыли
	if ($is_your_war > '0' AND $build_owner=='1')
		{
		$bu = mysql_fetch_array(mysql_query("SELECT * FROM `ubuildings` WHERE `id`='$b'"));
		$name_build = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `sname`='".$bu[sname]."'"));

		echo '<b>'.$name_build[name].'</b><br />';

		if (intval($_GET[destroy])=='1')
			{
			/*
			------бараки------
			*/
			if ($bu[sname] == 'Barracs')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
					{
				if (intval(time()-$war[time_strike]) > '3600')
					{
				echo 'Вы успешно разрушили здание';
				mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");
				mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] разрушило казармы противника<br />'");
				$text='<u>'.$user[login].'</u> разрушил казармы!';
				send_mess($p['login'],$text,"Система",'');
					} else echo 'Атаковать здания можно раз в час </div>';
                	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
					} else echo 'Сперва разберитесь с охраной</div>';
				}
			/*
			------Ратуша------
			*/
			if ($bu[sname] == 'Guildhall')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
					{
				if (intval(time()-$war[time_strike]) > '3600')
					{
				echo 'Вы успешно разрушили здание';
				$money_set = abs(round(0.4*$p[money]));

				$gena_isset = mysql_result(mysql_query("SELECT count(*) FROM `general` WHERE `id_user`='$id'"),0);


				echo '<br />Вы получили '.$money_set.' (40%) денег';
				mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] разрушило ратушу противника<br />'");
				if ($gena_isset != '0') { mysql_query("DELETE FROM `general` WHERE `id_user`='$p[id]'"); }
				mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");
				mysql_query("UPDATE `users` SET `money`='".intval($user[money]+$money_set)."' WHERE `id`='$id'");
				mysql_query("UPDATE `users` SET `money`='".intval($p[money]-$money_set)."' WHERE `id`='".$p[id]."'");
				$text='Противник <u>'.$user[country].' разрушил здание ратуша. Вы потеряли '.$money_set.' (40%) денег</u>';
				send_mess($p['login'],$text,"Система",'');
                mysql_query("UPDATE `wars` SET `time_strike`='".time()."' WHERE `id`='$id_war'");
				$text='<u>'.$user[login].'</u> разрушил ратушу. Вы потеряли '.$money_set.' (40%) денег!';
				send_mess($p['login'],$text,"Система",'');
                	} else echo 'Атаковать здания можно раз в час </div>';
                	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
					} else echo 'Сперва разберитесь с охраной</div>';
				}
			/*
			------Университет------
			*/
			if ($bu[sname] == 'Univercity')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
					{
				if (intval(time()-$war[time_strike]) > '3600')
					{

				if ($user[sc_lumber] < round($p[sc_lumber]*0.7)) $sc_lumber = $p[sc_lumber]*0.7; else $sc_lumber=$user[sc_lumber];
				if ($user[sc_stone] < round($p[sc_stone]*0.7)) $sc_stone = $p[sc_stone]*0.7; else $sc_stone=$user[sc_stone];
				if ($user[sc_iron] < round($p[sc_iron]*0.7)) $sc_iron = $p[sc_iron]*0.7; else $sc_iron=$user[sc_iron];
				if ($user[sc_grain] < round($p[sc_grain]*0.7)) $sc_grain = $p[sc_grain]*0.7; else $sc_grain=$user[sc_grain];
				if ($user[sc_wood] < round($p[sc_wood]*0.7)) $sc_wood = $p[sc_wood]*0.7; else $sc_wood=$user[sc_wood];
				if ($user[sc_workers] < round($p[sc_workers]*0.7)) $sc_workers = $p[sc_workers]*0.7; else $sc_workers=$user[sc_workers];
				if ($user[sc_army] < round($p[sc_army]*0.7)) $sc_army = $p[sc_army]*0.7; else $sc_army=$user[sc_army];
				if ($user[sc_arive] < round($p[sc_arive]*0.7)) $sc_arive = $p[sc_arive]*0.7; else $sc_arive=$user[sc_arive];
				if ($user[sc_savem] < round($p[sc_savem]*0.7)) $sc_savem = $p[sc_savem]*0.7; else $sc_savem=$user[sc_savem];
				if ($user[sc_savew] < round($p[sc_savew]*0.7)) $sc_savew = $p[sc_savew]*0.7; else $sc_savew=$user[sc_savew];

                if (($p[sc_lumber]*0.2) > '10') $protivnik_sc_lumber=$p[sc_lumber]*0.2; else $protivnik_sc_lumber=10;
                if (($p[sc_stone]*0.2) > '10') $protivnik_sc_stone=$p[sc_stone]*0.2; else $protivnik_sc_stone=10;
                if (($p[sc_iron]*0.2) > '10') $protivnik_sc_iron=$p[sc_iron]*0.2; else $protivnik_sc_iron=10;
                if (($p[sc_grain]*0.2) > '10') $protivnik_sc_grain=$p[sc_grain]*0.2; else $protivnik_sc_grain=10;
                if (($p[sc_wood]*0.2) > '10') $protivnik_sc_wood=$p[sc_wood]*0.2; else $protivnik_sc_wood=10;
                if (($p[sc_workers]*0.2) > '10') $protivnik_sc_workers=$p[sc_workers]*0.2; else $protivnik_sc_workers=10;
                if (($p[sc_army]*0.2) > '10') $protivnik_sc_army=$p[sc_army]*0.2; else $protivnik_sc_army=10;
                if (($p[sc_arive]*0.2) > '10') $protivnik_sc_arive=$p[sc_arive]*0.2; else $protivnik_sc_arive=10;
                if (($p[sc_savem]*0.2) > '10') $protivnik_sc_savem=$p[sc_savem]*0.2; else $protivnik_sc_savem=10;
                if (($p[sc_savew]*0.2) > '10') $protivnik_sc_savew=$p[sc_savew]*0.2; else $protivnik_sc_savew=10;

                echo 'Вы разрушили университет и похитили 70% разработок противника';

                $text='Войска гос-ва '.$user[country].' разрушили университет и похитили 70% ваших научных разработок';
				send_mess($p['login'],$text,"Система",'');
				mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] разрушило университет противника<br />'");
                mysql_query("UPDATE `users` SET `sc_lumber`='$sc_lumber',
                								`sc_stone`='$sc_stone',
                								`sc_iron`='$sc_iron',
                								`sc_grain`='$sc_grain',
                								`sc_wood`='$sc_wood',
                								`sc_workers`='$sc_workers',
                								`sc_army`='$sc_army',
                								`sc_arive`='$sc_arive',
                								`sc_savew`='$sc_savew',
                								`sc_savem`='$sc_savem' WHERE `id`='$id'");

                mysql_query("UPDATE `users` SET `sc_lumber`='$protivnik_sc_lumber',
                								`sc_stone`='$protivnik_sc_stone',
                								`sc_iron`='$protivnik_sc_iron',
                								`sc_grain`='$protivnik_sc_grain',
                								`sc_wood`='$protivnik_sc_wood',
                								`sc_workers`='$protivnik_sc_workers',
                								`sc_army`='$protivnik_sc_army',
                								`sc_arive`='$protivnik_sc_arive',
                								`sc_savew`='$protivnik_sc_savew',
                								`sc_savem`='$protivnik_sc_savem' WHERE `id`='".$p[id]."'");

                    mysql_query("UPDATE `wars` SET `time_strike`='".time()."' WHERE `id`='$id_war'");
                    mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");


					$text='<u>'.$user[login].'</u> разрушил университет. Противник получил 70% ваших разработок!';
					send_mess($p['login'],$text,"Система",'');



					} else echo 'Атаковать здания можно раз в час </div>';
                	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
					} else echo 'Сперва разберитесь с охраной</div>';
				}
			/*
			------Деревня------
			*/
			if ($bu[sname] == 'Village')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
					{
				if (intval(time()-$war[time_strike]) > '3600')
					{
				echo 'Вы успешно разрушили деревню';
                $proc_workers = abs(round(0.4*$p[workers]));
                echo '<br />Вы захватили '.$proc_workers.' (40%) рабочих';
                $text='Противник <u>'.$user[country].' разрушил деревню. Вы потеряли '.$proc_workers.' (40%) рабочих</u>';
				send_mess($p['login'],$text,"Система",'');
				mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] сожгли деревню противника<br />'");
				mysql_query("UPDATE `users` SET `workers`='".intval($user[workers]+$proc_workers)."' WHERE `id`='$id'");
				mysql_query("UPDATE `users` SET `workers`='".intval($p[workers]-$proc_workers)."' WHERE `id`='".$p[id]."'");
				mysql_query("UPDATE `wars` SET `time_strike`='".time()."' WHERE `id`='$id_war'");
				mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");

				$text='<u>'.$user[login].'</u> разрушил университет. Противник получил '.$proc_workers.' (40%) рабочих';
					send_mess($p['login'],$text,"Система",'');

					} else echo 'Атаковать здания можно раз в час</div> ';
                	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
					} else echo 'Сперва разберитесь с охраной</div>';
				}
			/*
			------Хранилще------
			*/
			if ($bu[sname] == 'Storage')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
				{
				if (intval(time()-$war[time_strike]) > '3600')
				{

				$lumber = abs(ceil($p[lumber]*0.4));
				$stone = abs(ceil($p[stone]*0.4));
				$grain = abs(ceil($p[grain]*0.4));
				$iron = abs(ceil($p[iron]*0.4));
                echo 'Вы успешно разрушили хранилище и получили 40% ресурсов, включая товар с мирового рынка';
				$text='Противники разрушили хранилище! Вы потеряли 40% своих ресурсов';
				send_mess($p['login'],$text,"Система",'');



				$total_get_res=$iron+$grain+$stone+$lumber;



					if ($freeplace < $total_get_res)
					{

						$lumber_r = 0;
						$stone_r = 0;
						$grain_r = 0;
						$iron_r = 0;
						$new_freeplace=$freeplace;


							for($a=1;$a<=$lumber;$a++)
							{
                                if($new_freeplace > 0)
                                {
								$lumber_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$stone;$a++)
							{

								if($new_freeplace > 0)
                                {
								$stone_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$iron;$a++)
							{

								if($new_freeplace > 0)
                                {
								$iron_r++;
								$new_freeplace--;
								}

							}

							for($a=1;$a<$grain;$a++)
							{

								if($new_freeplace > 0)
                                {
								$grain_r++;
								$new_freeplace--;
								}

							}
						echo '<br />На склад помещено: '.$lumber_r.' дерева, '.$stone_r.' камня '.$iron_r.' зерна, '.$grain_r.' железа<br />';
mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] разрушило хранилище противника<br />'");

        mysql_query("UPDATE `users` SET
													`lumber`='".intval($user[lumber]+$lumber_r)."',
													`stone`='".intval($user[stone]+$stone_r)."',
													`grain`='".intval($user[grain]+$grain_r)."',
													`iron`='".intval($user[iron]+$iron_r)."' WHERE `id`='".$user[id]."'");
						mysql_query("UPDATE `users` SET
													`lumber`='".intval($p[lumber]-$lumber)."',
													`stone`='".intval($p[stone]-$stone)."',
													`grain`='".intval($p[grain]-$grain)."',
													`iron`='".intval($p[iron]-$iron)."' WHERE `id`='".$p[id]."'");

       } else
                       	{


					mysql_query("UPDATE `users` SET	`lumber`='".intval($user[lumber]+$lumber)."',
													`stone`='".intval($user[stone]+$stone)."',
													`grain`='".intval($user[grain]+$grain)."',
													`iron`='".intval($user[iron]+$iron)."' WHERE `id`='".$user[id]."'");
					mysql_query("UPDATE `users` SET `lumber`='".intval($p[lumber]-$lumber)."',
													`stone`='".intval($p[stone]-$stone)."',
													`grain`='".intval($p[grain]-$grain)."',
													`iron`='".intval($p[iron]-$iron)."' WHERE `id`='".$p[id]."'");
				$text='<u>'.$user[login].'</u> разрушил университет. Противник получил 40% ресурсов';
					send_mess($p['login'],$text,"Система",'');
						}





                mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");
				} else echo 'Атаковать здания можно раз в час </div>';
               	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
				} else echo 'Сперва разберитесь с охраной</div>';
				}
			/*
			------Стена------
			*/
			if ($bu[sname] == 'Wall')
				{
				if (intval($bu['archers']+$bu['solders'])=='0')
					{
				if (intval(time()-$war[time_in]) > '10800')
				{
				if (intval(time()-$war[time_strike]) > '3600')
				{

				echo 'Вы успешно разрушили стену';
                mysql_query("DELETE FROM `ubuildings` WHERE `id`='$b'");
                $text='Противник <u>'.$user[country].' разрушил стену</u>';

				send_mess($p['login'],$text,"Система",'');
				mysql_query("INSERT INTO `fight_log` SET `war`='$id_war',`attacker`='$id',`protector`='$p[id]',
					`text`='Государство $user[country] разрушило стену противника<br />'");
                mysql_query("UPDATE `wars` SET `time_strike`='".time()."' WHERE `id`='$id_war'");

				} else echo 'Атаковать здания можно раз в час</div> ';
               	} else echo 'Атаковать здания можно через 3 часа после начала войны</div>';
					} else echo 'Сперва разберитесь с охраной</div>';
				}



			} else {

			if ($_GET['attack']=='1' AND intval($bu['solders']+$bu['archers'])>'0')
				{
				if (isset($_POST['submit']))
					{




			$solders=intval(abs($_POST['solders']));
			$horses=intval(abs($_POST['horses']));
			$archers=intval(abs($_POST['archers']));
			$total=$solders+$horses+$archers;
			$next_b=$war['time_strike']+60*5;
			$error='';
			if($war['solders'] < $solders){ $error='У вас нету столько пехотинцев!'; }
			if($war['horses'] < $horses){ $error='У вас нету столько пехотинцев!'; }
			if($war['archers'] < $archers){ $error='У вас нету столько пехотинцев!'; }
			if($total < 1){ $error='Вам необходимо послать хотя бы одного солдата!'; }
			if($next_b > $time){ $error='Вы можете атаовать с интервалом в 30 минут!'; }
			if($error == '')
			{
				//обновляем войну что мы атаковали

				//отнимаем от игрока солдаты
				mysql_query("UPDATE wars SET solders=solders-'$solders',
											  horses=horses-'$horses',
											  archers=archers-'$archers'
											  WHERE id='$id'
											  ");
				//в "бой" заносим параметры атакующего(u1-3, u_id=$id и защищающегося e_ - префикс
				mysql_query("
				INSERT INTO `fight` (`id` ,
	`u1` ,
	`u2` ,
	`u3` ,
	`e1` ,
	`e2` ,
	`e3` ,
	`u_id` ,
	`e_id`
	)
	VALUES (NULL , '$solders', '$horses', '$archers', '$bu[solders]', '0', '$bu[archers]', '$id', '$war[id_attacker]'
	)
				");
				// получаем айди битвы
				$recive_id=mysql_insert_id();
				//подключаем файл мега супер пупер автоматизированый который можно сказать сделает всё за вас)
				include('fight.php');
				//в том файле $new_fight - это наша битва, а точнее итог остачь войск
				//делаем подсчёты сколько всего негров осталось у атакуюещего(id) и защищающегося (кого выбиваем)
				$total_a=$new_fight['u1']+$new_fight['u2']+$new_fight['u3'];
				$total_d=$new_fight['e1']+$new_fight['e2']+$new_fight['e3'];
				//ну дальше бла бла бла, прочая хрень, в том числе и решение итога - какая сука убилась об стенку))))
				$next_strike=$time+60*60;
				$defend_country=mysql_fetch_array(mysql_query("SELECT country FROM users WHERE id='$war[id_cover]'"));
				// echo $total_a.' '.$total_d.'<br />';
				if($total_a >= 0 && $total_d <= 0)
				{
					//выбили
					mysql_query("UPDATE `ubuildings` SET `solders`=solders-'$bu[solders]',
														 `archers`=archers-'$bu[archers]' WHERE `id`='".$_GET['b']."'");
					mysql_query("UPDATE wars SET
											  solders=solders+'$new_fight[u1]',
											  horses=horses+'$new_fight[u2]',
											  archers=archers+'$new_fight[u3]' WHERE id='$id'");

					$slost=$solders-$new_fight[u1];
					$hlost=$horses-$new_fight[u2];
					$alost=$archers-$new_fight[u3];
					$text='Отряд <u>'.$user['country'].'</u> уничтожил вашу охрану на территории <u>'.$defend_country[0].'</u>. Потери противника:
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
					send_mess($p['login'],$text,'Система','');
					echo 'Вы уничтожили врага!<br /> Потери:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';

					$all = intval($slost+$hlost+$alost);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='11' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='11',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='11' AND `user`='$id'");
						  }

				}
				elseif($total_a <= 0 && $total_d > 0)
				{
					//ничего не сделали



					$slost=$bu['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$bu['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$bu['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE `ubuildings` SET `solders`=solders-'$slost',
														 `archers`=archers-'$alost' WHERE `id`='".$_GET['b']."'");
					mysql_query("UPDATE wars SET time_strike='$time' WHERE id='".$_GET['id_war']."'");
					mysql_query("UPDATE wars SET
											  solders=solders-'$new_fight[u1]',
											  horses=horses-'$new_fight[u2]',
											  archers=archers-'$new_fight[u3]' WHERE id='$id'");
					$text='Отряд <u>'.$user['country'].'</u> пытался разбить вашу охрану на территории <u>'.$defend_country[0].'</u> но потерпел неудачу. Ваши потери:
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
					send_mess($p['login'],$text,'Система','');
					echo 'Вы не смогли уничтожить врага!<br /> Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

				else
				{
					//ничья
					$slost=$war['solders']-$new_fight[e1];
					if($slost < 0)
					{
					$slost=0;
					}
					$hlost=$war['horses']-$new_fight[e2];
					if($hlost < 0)
					{
					$hlost=0;
					}
					$alost=$war['archers']-$new_fight[e3];
					if($alost < 0)
					{
					$alost=0;
					}
					mysql_query("UPDATE wars SET
								solders=solders-'$slost',
								horses=horses-'$hlost',
								archers=archers-'$alost' WHERE id='".$_GET['id_war']."'");
					mysql_query("UPDATE wars SET time_strike='$time' WHERE id='".$_GET['id_war']."'");
					$text='Отряд <u>'.$user['country'].'</u> пытался разбить вашу охрану на территории <u>'.$defend_country[0].'</u> но потерпел неудачу. Ваши потери:
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков';
					send_mess($p['login'],$text,'Система','');
					echo 'Вы не смогли уничтожить врага!<br />Потери противника:<br />
					<b>'.$slost.'</b> пехотинцев, <b>'.$hlost.'</b> кавалеристов, <b>'.$alost.'</b> стрелков
					';
				}

			}
			else
			{
				echo $error;
			}




					} else {
				echo '
				Противник: <br />
				Пехотинцы: <b>'.$bu['solders'].'</b>
				Стрелки: <b>'.$bu['archers'].'</b></div><div class="money">
				<form method="POST" action="">
				Пехотинцы ('.$user['solders'].'): <br />
				<input type="text" name="solders" size="10" value="0"><br />
				Кавалерия ('.$user['horses'].'): <br />
				<input type="text" name="horses" size="10" value="0"><br />
				Стрелки ('.$user['archers'].'): <br />
				<input type="text" name="archers" size="10" value="0"><br />
				<input type="submit" name="submit" value="Отправить">
				</form>
				';
							}
				echo '</div>';
				} else {

		echo 'Охрана [<b>'.$bu['solders'].'</b>/<b>'.$bu['archers'].'</b>]</div><a class="razd" href="'.$self.'&amp;destroy=1">Разрушить здание</a>';
		if (intval($bu['solders']+$bu['archers'])>'0') echo '<a class="razd" href="'.$self.'&amp;attack=1">Атаковать охрану</a>';
						}
               if ($bu[sname] == 'Univercity')
				{
				echo '<br />Точность шпионажа: <b>'.$user[spy].'</b>%';
	            echo '<br />Добыча дерева: '.rand(round($p[sc_lumber]*$user[spy]/100),$p[sc_lumber]);
				echo '<br />Добыча камня:'.rand(round($p[sc_stone]*$user[spy]/100),$p[sc_stone]);
				echo '<br />Добыча железа:'.rand(round($p[sc_iron]*$user[spy]/100),$p[sc_iron]);
				echo '<br />Добыча зерна:'.rand(round($p[sc_grain]*$user[spy]/100),$p[sc_grain]);
				echo '<br />Выращивание лесов: '.rand(round($p[sc_wood]*$user[spy]/100),$p[sc_wood]);
				echo '<br />Плотность населения: '.rand(round($p[sc_workers]*$user[spy]/100),$p[sc_workers]);
				echo '<br />Плотность войска: '.rand(round($p[sc_army]*$user[spy]/100),$p[sc_army]);
				echo '<br />Прирост населения: '.rand(round($p[sc_arive]*$user[spy]/100),$p[sc_arive]);
				echo '<br />Прочность шахт: '.rand(round($p[sc_savem]*$user[spy]/100),$p[sc_savem]);
				echo '<br />Сохранность лесов: '.rand(round($p[sc_savew]*$user[spy]/100),$p[sc_savew]);
				}

					}

		echo '<a class="razd" href="?a=view&amp;id_war='.$id_war.'">Вернуться</a>';
		} else echo 'Такой войны не сущетвует';
	} else header("Location: game.php");
	break;
	}













echo '<div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>